"""
Tests for cloud_seeder.__main__ module
"""

import sys
from unittest.mock import patch


def test_main_module():
    """Test __main__ module execution"""
    with patch('sys.argv', ['cloud_seeder', '--help']):
        with patch('cloud_seeder.cli.main') as mock_main:
            mock_main.return_value = 0
            
            # Import here to trigger the module execution
            from cloud_seeder import __main__
            
            # Should not call main when imported
            mock_main.assert_not_called()
            
    # Test direct execution
    with patch('sys.argv', ['cloud_seeder', '--help']):
        with patch('cloud_seeder.cli.main') as mock_main:
            mock_main.return_value = 0
            
            # Execute the main function directly
            from cloud_seeder.__main__ import main
            with patch('sys.exit'):
                main()
            
            mock_main.assert_called_once()